<?php

/**
 * Settings template.
 *
 * @package StockSyncWithGoogleSheetForWooCommerce
 * @since 1.0.0
 */

// Exit if accessed directly.
defined( 'ABSPATH' ) || exit(); ?>
<div class="ssgs-dashboard__tab bounceInRight" :class="{'active': isTab('settings')}">
	<div class="ssgs-admin">
		<div class="ssgs-dashboard__block">
			<h4 class="title">
			<?php
			esc_html_e(
				'Preference',
				'stock-sync-with-google-sheet-for-woocommerce'
			);
			?>
			</h4>

			<div class="form-group" :class="forUltimate">
				<label>
					<div class="ssgs-check" :class="forUltimate">
						<input :readonly="!isPro" type="checkbox" name="add_products_from_sheet" class="check" x-model="option.add_products_from_sheet" :checked="option.add_products_from_sheet == 1" @change="save_checkbox_settings('add_products_from_sheet')">
						<span class="switch"></span>
					</div>

					<span class="label-text">
						<?php
						esc_html_e(
							'Add new products from Google Sheet',
							'stock-sync-with-google-sheet-for-woocommerce'
						);
						?>
					</span>

					<span x-show="!isPro" class="ssgs-badge purple ssgsw-promo">
						<?php esc_html_e( 'Ultimate', 'stock-sync-with-google-sheet-for-woocommerce' ); ?>
					</span>

				</label>

				<div class="description">
					<p>
						<?php
						esc_html_e(
							'Enable this feature to add new products from Google Sheet',
							'stock-sync-with-google-sheet-for-woocommerce'
						);
						?>
					</p>
				</div>
			</div>
		</div>

		<div class="ssgs-dashboard__block">
			<h4 class="title">
				<?php
				esc_html_e(
					'Google Sheet columns',
					'stock-sync-with-google-sheet-for-woocommerce'
				);
				?>
			</h4>

			<div class="form-group">
				<label :class="forUltimate">
					<div class="ssgs-check">
						<input :readonly="!isPro" type="checkbox" name="show_sku" class="check" x-model="option.show_sku" :checked="option.show_sku == 1" @change="save_checkbox_settings('show_sku')">
						<span class="switch"></span>
					</div>
					<span class="label-text">
					<?php
					esc_html_e(
						'Sync SKU',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span x-show="!isPro" class="ssgs-badge purple">
					<?php
					esc_html_e(
						'Ultimate',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>

				</label>

				<div class="description">
					<p>
					<?php
					esc_html_e(
						'Enable this button to show the short SKU of the product in a column on the Google Sheets',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</p>
				</div>
			</div>

			<div class="form-group">
				<label :class="forUltimate">
					<div class="ssgs-check">
						<input :readonly="!isPro" type="checkbox" name="show_short_description" class="check" x-model="option.show_short_description" :checked="option.show_short_description == 1" @change="save_checkbox_settings('show_short_description')">
						<span class="switch"></span>
					</div>
					<span class="label-text">
					<?php
					esc_html_e(
						'Sync short description',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span x-show="!isPro" class="ssgs-badge purple">
					<?php
					esc_html_e(
						'Ultimate',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>

				</label>

				<div class="description">
					<p>
					<?php
					esc_html_e(
						'Enable this button to show the short description of the product in a column on the Google Sheets',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</p>
				</div>
			</div>

			<div class="form-group">
				<label :class="forUltimate">
					<div class="ssgs-check">
						<input :readonly="!isPro" type="checkbox" name="show_attributes" class="check" x-model="option.show_attributes" :checked="option.show_attributes == 1" @change="save_checkbox_settings('show_attributes')">
						<span class="switch"></span>
					</div>
					<span class="label-text">
					<?php
					esc_html_e(
						'Display attributes',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span x-show="!isPro" class="ssgs-badge purple">
					<?php
					esc_html_e(
						'Ultimate',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
				</label>

				<div class="description">
					<p>
					<?php
					esc_html_e(
						'Enable this button to show the product attributes in a column on the Google Sheets',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</p>
				</div>
			</div>

			<div class="form-group">
				<label :class="forUltimate">
					<div class="ssgs-check">
						<input :readonly="!isPro" type="checkbox" name="show_total_sales" class="check" x-model="option.show_total_sales" :checked="option.show_total_sales == 1" @change="save_checkbox_settings('show_total_sales')">
						<span class="switch"></span>
					</div>
					<span class="label-text">
					<?php
					esc_html_e(
						'Display product sales count',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span x-show="!isPro" class="ssgs-badge purple"> 
					<?php
					esc_html_e(
						'Ultimate',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span class="ssgs-badge green">
					<?php
					esc_html_e(
						'New',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
				</label>

				<div class="description">
					<p>
					<?php
					esc_html_e(
						'Enable this feature to display the total sales count of the products in a column on the Google Sheets',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</p>
				</div>
			</div>

			<div class="form-group">
				<label :class="forUltimate">
					<div class="ssgs-check">
						<input type="checkbox" name="show_product_category" class="check" x-model="option.show_product_category" :checked="option.show_product_category == 1" @change="save_checkbox_settings('show_product_category')">
						<span class="switch"></span>
					</div>
					<span class="label-text">
					<?php
					esc_html_e(
						'Display product category',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span x-show="!isPro" class="ssgs-badge purple"> 
					<?php
					esc_html_e(
						'Ultimate',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
					<span class="ssgs-badge green">
					<?php
					esc_html_e(
						'New',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</span>
				</label>

				<div class="description">
					<p>
					<?php
					esc_html_e(
						'Enable this button to show the category of the product in a column on the Google Sheets',
						'stock-sync-with-google-sheet-for-woocommerce'
					);
					?>
					</p>
				</div>
			</div>
		</div>
	</div>
</div>